package cn.com.tenlion.systembase.pojo.dtos.logisticssafe;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 *
 * @ClassName: LogisticsSafeDTO
 * @Description: 寄递物流安全管理
 * @Author: CodeFactory
 * @Date: 2021-10-19 14:16:33
 * @Version: 3.0
 **/
@ApiModel
public class LogisticsSafeDTO {

    @ApiModelProperty(name = "logisticsSafeId", value = "主键UUID")
    private String logisticsSafeId;
    @ApiModelProperty(name = "licenseNum", value = "工商执照注册号(统一社会信用代码)")
    private String licenseNum;
    @ApiModelProperty(name = "logisticsEnterpriseName", value = "寄递物流企业名称")
    private String logisticsEnterpriseName;
    @ApiModelProperty(name = "enterpriseLocation", value = "所在地字典表ID")
    private String enterpriseLocation;
    @ApiModelProperty(name = "enterpriseLocationName", value = "所在地名称")
    private String enterpriseLocationName;
    @ApiModelProperty(name = "enterpriseLocationCode", value = "所在地编码")
    private String enterpriseLocationCode;
    @ApiModelProperty(name = "enterpriseAddress", value = "企业祥址")
    private String enterpriseAddress;
    @ApiModelProperty(name = "enterprisePhone", value = "企业联系方式")
    private String enterprisePhone;
    @ApiModelProperty(name = "enterpriseLinkMan", value = "企业负责人姓名")
    private String enterpriseLinkMan;
    @ApiModelProperty(name = "enterpriseLinkPhone", value = "企业负责人联系方式")
    private String enterpriseLinkPhone;
    @ApiModelProperty(name = "registrationType", value = "登记注册类型字典表ID")
    private String registrationType;
    @ApiModelProperty(name = "registrationTypeName", value = "登记注册类型名称")
    private String registrationTypeName;
    @ApiModelProperty(name = "registrationTypeCode", value = "登记注册类型编码")
    private String registrationTypeCode;
    @ApiModelProperty(name = "holdingSituation", value = "控股情况字典表ID")
    private String holdingSituation;
    @ApiModelProperty(name = "holdingSituationName", value = "空鼓情况名称")
    private String holdingSituationName;
    @ApiModelProperty(name = "holdingSituationCode", value = "空鼓情况编码")
    private String holdingSituationCode;
    @ApiModelProperty(name = "businessNature", value = "经营范围字典表ID")
    private String businessNature;
    @ApiModelProperty(name = "businessNatureName", value = "经营范围名称")
    private String businessNatureName;
    @ApiModelProperty(name = "businessNatureCode", value = "经营范围编码")
    private String businessNatureCode;
    @ApiModelProperty(name = "businessNatureValue", value = "经营范围值")
    private String businessNatureValue;
    @ApiModelProperty(name = "enterpriseType", value = "企业类型字典表ID")
    private String enterpriseType;
    @ApiModelProperty(name = "enterpriseTypeName", value = "企业类型名称")
    private String enterpriseTypeName;
    @ApiModelProperty(name = "enterpriseTypeCode", value = "企业类型编码")
    private String enterpriseTypeCode;
    @ApiModelProperty(name = "serviceBrand", value = "服务品牌")
    private String serviceBrand;
    @ApiModelProperty(name = "employeesCount", value = "从业人员数量")
    private Integer employeesCount;
    @ApiModelProperty(name = "videoCount", value = "监控摄像机数量")
    private Integer videoCount;
    @ApiModelProperty(name = "xMachineCount", value = "X光机数量")
    private Integer xMachineCount;
    @ApiModelProperty(name = "isSealing", value = "是否落实100%先验视后封箱")
    private Integer isSealing;
    @ApiModelProperty(name = "isRealName", value = "是否落实100%寄递实名制")
    private Integer isRealName;
    @ApiModelProperty(name = "isXCheck", value = "是否落实100%X光机安检")
    private Integer isXCheck;
    @ApiModelProperty(name = "longitude", value = "经度")
    private Double longitude;
    @ApiModelProperty(name = "latitude", value = "纬度")
    private Double latitude;
    @ApiModelProperty(name = "grid", value = "所属网格")
    private String grid;
    @ApiModelProperty(name = "gridName", value = "所属网格")
    private String gridName;

    public String getLogisticsSafeId() {
        return logisticsSafeId == null ? "" : logisticsSafeId.trim();
    }

    public void setLogisticsSafeId(String logisticsSafeId) {
        this.logisticsSafeId = logisticsSafeId;
    }

    public String getLicenseNum() {
        return licenseNum == null ? "" : licenseNum.trim();
    }

    public void setLicenseNum(String licenseNum) {
        this.licenseNum = licenseNum;
    }

    public String getLogisticsEnterpriseName() {
        return logisticsEnterpriseName == null ? "" : logisticsEnterpriseName.trim();
    }

    public void setLogisticsEnterpriseName(String logisticsEnterpriseName) {
        this.logisticsEnterpriseName = logisticsEnterpriseName;
    }

    public String getEnterpriseLocation() {
        return enterpriseLocation == null ? "" : enterpriseLocation.trim();
    }

    public void setEnterpriseLocation(String enterpriseLocation) {
        this.enterpriseLocation = enterpriseLocation;
    }

    public String getEnterpriseLocationName() {
        return enterpriseLocationName == null ? "" : enterpriseLocationName.trim();
    }

    public void setEnterpriseLocationName(String enterpriseLocationName) {
        this.enterpriseLocationName = enterpriseLocationName;
    }

    public String getEnterpriseLocationCode() {
        return enterpriseLocationCode == null ? "" : enterpriseLocationCode.trim();
    }

    public void setEnterpriseLocationCode(String enterpriseLocationCode) {
        this.enterpriseLocationCode = enterpriseLocationCode;
    }

    public String getEnterpriseAddress() {
        return enterpriseAddress == null ? "" : enterpriseAddress.trim();
    }

    public void setEnterpriseAddress(String enterpriseAddress) {
        this.enterpriseAddress = enterpriseAddress;
    }

    public String getEnterprisePhone() {
        return enterprisePhone == null ? "" : enterprisePhone.trim();
    }

    public void setEnterprisePhone(String enterprisePhone) {
        this.enterprisePhone = enterprisePhone;
    }

    public String getEnterpriseLinkMan() {
        return enterpriseLinkMan == null ? "" : enterpriseLinkMan.trim();
    }

    public void setEnterpriseLinkMan(String enterpriseLinkMan) {
        this.enterpriseLinkMan = enterpriseLinkMan;
    }

    public String getEnterpriseLinkPhone() {
        return enterpriseLinkPhone == null ? "" : enterpriseLinkPhone.trim();
    }

    public void setEnterpriseLinkPhone(String enterpriseLinkPhone) {
        this.enterpriseLinkPhone = enterpriseLinkPhone;
    }

    public String getRegistrationType() {
        return registrationType == null ? "" : registrationType.trim();
    }

    public void setRegistrationType(String registrationType) {
        this.registrationType = registrationType;
    }

    public String getRegistrationTypeName() {
        return registrationTypeName == null ? "" : registrationTypeName.trim();
    }

    public void setRegistrationTypeName(String registrationTypeName) {
        this.registrationTypeName = registrationTypeName;
    }

    public String getRegistrationTypeCode() {
        return registrationTypeCode == null ? "" : registrationTypeCode.trim();
    }

    public void setRegistrationTypeCode(String registrationTypeCode) {
        this.registrationTypeCode = registrationTypeCode;
    }

    public String getHoldingSituation() {
        return holdingSituation == null ? "" : holdingSituation.trim();
    }

    public void setHoldingSituation(String holdingSituation) {
        this.holdingSituation = holdingSituation;
    }

    public String getHoldingSituationName() {
        return holdingSituationName == null ? "" : holdingSituationName.trim();
    }

    public void setHoldingSituationName(String holdingSituationName) {
        this.holdingSituationName = holdingSituationName;
    }

    public String getHoldingSituationCode() {
        return holdingSituationCode == null ? "" : holdingSituationCode.trim();
    }

    public void setHoldingSituationCode(String holdingSituationCode) {
        this.holdingSituationCode = holdingSituationCode;
    }

    public String getBusinessNature() {
        return businessNature == null ? "" : businessNature.trim();
    }

    public void setBusinessNature(String businessNature) {
        this.businessNature = businessNature;
    }

    public String getBusinessNatureName() {
        return businessNatureName == null ? "" : businessNatureName.trim();
    }

    public void setBusinessNatureName(String businessNatureName) {
        this.businessNatureName = businessNatureName;
    }

    public String getBusinessNatureCode() {
        return businessNatureCode == null ? "" : businessNatureCode.trim();
    }

    public void setBusinessNatureCode(String businessNatureCode) {
        this.businessNatureCode = businessNatureCode;
    }

    public String getBusinessNatureValue() {
        return businessNatureValue;
    }

    public void setBusinessNatureValue(String businessNatureValue) {
        this.businessNatureValue = businessNatureValue;
    }

    public String getEnterpriseType() {
        return enterpriseType == null ? "" : enterpriseType.trim();
    }

    public void setEnterpriseType(String enterpriseType) {
        this.enterpriseType = enterpriseType;
    }

    public String getEnterpriseTypeName() {
        return enterpriseTypeName == null ? "" : enterpriseTypeName.trim();
    }

    public void setEnterpriseTypeName(String enterpriseTypeName) {
        this.enterpriseTypeName = enterpriseTypeName;
    }

    public String getEnterpriseTypeCode() {
        return enterpriseTypeCode == null ? "" : enterpriseTypeCode.trim();
    }

    public void setEnterpriseTypeCode(String enterpriseTypeCode) {
        this.enterpriseTypeCode = enterpriseTypeCode;
    }

    public String getServiceBrand() {
        return serviceBrand == null ? "" : serviceBrand.trim();
    }

    public void setServiceBrand(String serviceBrand) {
        this.serviceBrand = serviceBrand;
    }

    public Integer getEmployeesCount() {
        return employeesCount == null ? 0 : employeesCount;
    }

    public void setEmployeesCount(Integer employeesCount) {
        this.employeesCount = employeesCount;
    }

    public Integer getVideoCount() {
        return videoCount == null ? 0 : videoCount;
    }

    public void setVideoCount(Integer videoCount) {
        this.videoCount = videoCount;
    }

    public Integer getxMachineCount() {
        return xMachineCount == null ? 0 : xMachineCount;
    }

    public void setxMachineCount(Integer xMachineCount) {
        this.xMachineCount = xMachineCount;
    }

    public Integer getIsSealing() {
        return isSealing == null ? 0 : isSealing;
    }

    public void setIsSealing(Integer isSealing) {
        this.isSealing = isSealing;
    }

    public Integer getIsRealName() {
        return isRealName == null ? 0 : isRealName;
    }

    public void setIsRealName(Integer isRealName) {
        this.isRealName = isRealName;
    }

    public Integer getIsXCheck() {
        return isXCheck == null ? 0 : isXCheck;
    }

    public void setIsXCheck(Integer isXCheck) {
        this.isXCheck = isXCheck;
    }

    public Double getLongitude() {
        return longitude == null ? 0D : longitude;
    }

    public void setLongitude(Double longitude) {
        this.longitude = longitude;
    }

    public Double getLatitude() {
        return latitude == null ? 0D : latitude;
    }

    public void setLatitude(Double latitude) {
        this.latitude = latitude;
    }

    public String getGrid() {
        return grid;
    }

    public void setGrid(String grid) {
        this.grid = grid;
    }

    public String getGridName() {
        return gridName;
    }

    public void setGridName(String gridName) {
        this.gridName = gridName;
    }
}
